ptypeProgress.cc File Reference
`#include "osl/progress/ptypeProgress.h"`
`#include "osl/bits/pieceTable.h"`
`#include "osl/oslConfig.h"`
`#include <iostream>`

Go to the source code of this file.

## Classes

struct | osl::progress::PtypeProgressTraits< PAWN >
struct | osl::progress::PtypeProgressTraits< PPAWN >
struct | osl::progress::PtypeProgressTraits< LANCE >
struct | osl::progress::PtypeProgressTraits< PLANCE >
struct | osl::progress::PtypeProgressTraits< KNIGHT >
struct | osl::progress::PtypeProgressTraits< PKNIGHT >
struct | osl::progress::PtypeProgressTraits< SILVER >
struct | osl::progress::PtypeProgressTraits< PSILVER >
struct | osl::progress::PtypeProgressTraits< GOLD >
struct | osl::progress::PtypeProgressTraits< BISHOP >
struct | osl::progress::PtypeProgressTraits< PBISHOP >
struct | osl::progress::PtypeProgressTraits< ROOK >
struct | osl::progress::PtypeProgressTraits< PROOK >
struct | osl::progress::PtypeProgressTraits< KING >

## Namespaces

namespace | osl
namespace | osl::progress

## Variables

static osl::SetUpRegister | _initializer ([](){ osl::progress::Ptype_Progress_Table.init();})

## Variable Documentation

## _initializer

osl::SetUpRegister _initializer([](){ osl::progress::Ptype_Progress_Table.init();}) | ( | [] (){ osl::progress::Ptype_Progress_Table.init();} |  | ) |

static